Community
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Rebuild all surfaces in one click

Rebuild all surfaces in one click

Wouldn't it be great to be able to rebuild all surfaces in one click, much like you can rebuild all corridors in one click? I am aware of auto-rebuild, but sometimes you don't want that blanket condition. Forgive me if this question has been addressed before but I haven't found much on it.

 

It's the little things!

2 Comments
Simon_Blain
Advocate

Can't remember where I got this so sorry for not giving credit where it's due but I've been using this succesfully for a while now. Just know that the rebuild order is not perfect (surface that affects another surface might rebuild after the surface it affects, hope you get what I just said ahah)

 

(vl-load-com)
(defun rebuild_all_surfaces ()
(if (or (ssget "I" '((0 . "AECC_*SURFACE")))
(ssget "x" '((0 . "AECC_*SURFACE")))
)
(vlax-for ent (vla-get-activeselectionset
(vla-get-activedocument
(vlax-get-acad-object)))
(vlax-invoke ent 'rebuild)
)
)
)

(defun c:RAS () (rebuild_all_surfaces) (princ))

 

TimYarris
Autodesk
Status changed to: Implemented

This is possible from the right-click menu on the Prospector > Surfaces node:

 

TimYarris_0-1689362258585.png

 

Can't find what you're looking for? Ask the community or share your knowledge.

Submit Idea  

Answer Day

Rail Community


 

Autodesk Design & Make Report